FunctionMapperImpl (Tomcat API Documentation)
Keywords: org.apache.el.lang.FunctionMapperImpl class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.el.lang
Class FunctionMapperImpl

    java.lang.Object
      javax.el.FunctionMapper
          org.apache.el.lang.FunctionMapperImpl

All Implemented Interfaces:
  java.io.Externalizable, java.io.Serializable

    public class FunctionMapperImpl

extends javax.el.FunctionMapper
implements java.io.Externalizable

Version:
  $Change: 181177 $$DateTime: 2001/06/26 08:45:09 $$Author: rjung $
Author:
  Jacob Hookom [jacob@hookom.net]
See Also:
  Serialized Form

Nested Class Summary
`static class` | `FunctionMapperImpl.Function`

Field Summary
`protected java.util.Map<java.lang.String,FunctionMapperImpl.Function>` | `functions`

Constructor Summary
`FunctionMapperImpl()`

Method Summary
`void` | `addFunction(java.lang.String prefix, java.lang.String localName, java.lang.reflect.Method m)`
`void` | `readExternal(java.io.ObjectInput in)`
`java.lang.reflect.Method` | `resolveFunction(java.lang.String prefix, java.lang.String localName)`
`void` | `writeExternal(java.io.ObjectOutput out)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### functions

    protected java.util.Map<java.lang.String,FunctionMapperImpl.Function> functions

Constructor Detail

### FunctionMapperImpl

    public FunctionMapperImpl()

Method Detail

### resolveFunction

    public java.lang.reflect.Method resolveFunction(java.lang.String prefix,
                                                    java.lang.String localName)

  Specified by:
    `resolveFunction` in class `javax.el.FunctionMapper`

### addFunction

    public void addFunction(java.lang.String prefix,
                            java.lang.String localName,
                            java.lang.reflect.Method m)

### writeExternal

    public void writeExternal(java.io.ObjectOutput out)
                       throws java.io.IOException

  Specified by:
    `writeExternal` in interface `java.io.Externalizable`
  Throws:
    `java.io.IOException`

### readExternal

    public void readExternal(java.io.ObjectInput in)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

  Specified by:
    `readExternal` in interface `java.io.Externalizable`
  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.